Skip to main content
GET
Query Delivery Status of an SMS Message (queued → sent → delivered)

Authorizations

Client-ID
string
header
required

Your UgaText Client-ID (e.g. uga_...). Accepted header aliases: X-Client-ID, or combined in Authorization: Bearer : / X-API-Key: :.

Client-Secret
string
header
required

Your UgaText Client-Secret (e.g. sk_live_...). Accepted header alias: X-Client-Secret.

Path Parameters

id
string
required

The message_id (format msg_<13-digit-unix-ms>_<8-hex-chars>) returned when the SMS was sent

Example:

"msg_1760425200000_a1b2c3d4"

Response

Message delivery lifecycle details including provider_reference and delivered_at

success
boolean
Example:

true

message_id
string
Example:

"msg_1760425200000_a1b2c3d4"

recipient
string
Example:

"+256750625684"

phone
string
Example:

"+256750625684"

sender_id
string
Example:

"UGATEXT"

message
string
Example:

"Your verification code is 482910."

status
enum<string>
Available options:
queued,
sent,
delivered,
failed
Example:

"delivered"

segments
integer
Example:

1

cost_ugx
number
Example:

25

cost_kes
number
Example:

0.4

cost_usd
number
Example:

0.035

currency
enum<string>
Available options:
UGX,
KES,
USD
Example:

"UGX"

network
string
Example:

"Airtel"

carrier_network
string
Example:

"Airtel"

mode
enum<string>
Available options:
live,
sandbox
Example:

"live"

created_at
string<date-time>
Example:

"2026-10-14T07:00:00.000Z"

queued_at
string<date-time>
Example:

"2026-10-14T07:00:00.000Z"

sent_at
string<date-time> | null
Example:

"2026-10-14T07:00:00.120Z"

delivered_at
string<date-time> | null
Example:

"2026-10-14T07:00:00.720Z"

failed_at
string<date-time> | null
Example:

null

failure_reason
string | null
Example:

null

provider_reference
string
Example:

"pdr_1760425200120_a1b2c3d4"